"""Adapters around actual Fnorb stubs so they behave like the python
 mapping.

Each class does two things:
1. Inherets from the actual skel, so that the inheritence in the main code
can be uniform.

2. Defines a _this() function which creates a unique object ref for a
class object, and registers it with the boa.
"""
# import the General Adapter code
from BioCorba.Adapters.Generic import GenericFnorbAdapter

# import the actual skeleton code
import BioCorba.org_skel.biocorba_skel.seqcore_skel as skel_base
        
class AnonymousSeq(skel_base.AnonymousSeq_skel, GenericFnorbAdapter):
    unique_name = 'AnonymousSeq'

class BioEnv(skel_base.BioEnv_skel, GenericFnorbAdapter):
    unique_name = 'BioEnv'

class PrimarySeq(skel_base.PrimarySeq_skel, GenericFnorbAdapter):
    unique_name = 'PrimarySeq'

class PrimarySeqDB(skel_base.PrimarySeqDB_skel, GenericFnorbAdapter):
    unique_name = 'PrimarySeqDB'

class PrimarySeqIterator(skel_base.PrimarySeqIterator_skel,
                         GenericFnorbAdapter):
    unique_name = 'PrimarySeqIterator'

class PrimarySeqVector(skel_base.PrimarySeqVector_skel, GenericFnorbAdapter):
    unique_name = 'PrimarySeqVector'

class Seq(skel_base.Seq_skel, GenericFnorbAdapter):
    unique_name = 'Seq'

class SeqDB(skel_base.SeqDB_skel, GenericFnorbAdapter):
    unique_name = 'SeqDB'

class SeqFeature(skel_base.SeqFeature_skel, GenericFnorbAdapter):
    unique_name = 'SeqFeature'

class SeqFeatureIterator(skel_base.SeqFeatureIterator_skel,
                         GenericFnorbAdapter):
    unique_name = 'SeqFeatureIterator'

class SeqFeatureVector(skel_base.SeqFeatureVector_skel, GenericFnorbAdapter):
    unique_name = 'SeqFeatureVector'

class UpdateableSeqDB(skel_base.UpdateableSeqDB_skel, GenericFnorbAdapter):
    unique_name = 'UpdateableSeqDB'
